FUNCTION::USER_STRIN(3stap)

NAME
function::user_string - Retrieves string from user space

SYNOPSIS

1) user_string:string(addr:long)

2) user_string:string(addr:long,err_msg:string)

ARGUMENTS

addr
    the user space address to retrieve the string from

err_msg
    the error message to return when data isn't available

DESCRIPTION

1) Returns the null terminated C string from a given user space memory address. Reports an error on the rare cases when userspace data is not accessible.

2) Returns the null terminated C string from a given user space memory address. Reports the given error message on the rare cases when userspace data is not accessible.

SEE ALSO
tapset::uconversions(3stap)

SEE ALSO
tapset::uconversions(3stap)